Subject: Asarco
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 28 Mar 2001 00:12:00 -0800 (PST)

Kim:

I spoke to Andrew Gregoricj of Asarco today.  He is an EP Full Requriementst 
customer.  I used to sell him gas when he was at BHP.  He is the energy 
manager at Asarco, gas and power.  He buys about 3,500 MMBtu/d.  He is 
contracted through Sep.  I will be working with him on power.  Please make a 
note of his information so you can work with him in the future.